Bug 9873 - samba crash / smbXsrv_open_close
samba crash / smbXsrv_open_close
Status: REOPENED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.5
All All
: P5 major
: ---
Assigned To: Samba QA Contact
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 17:53 UTC by Nick Semenkovich
Modified: 2015-03-13 07:52 UTC (History)
5 users (show)

See Also:


Attachments
gdb; bt full (41.25 KB, text/plain)
2013-05-08 17:55 UTC, Nick Semenkovich
no flags Details
GDB backtraces (bt followed by bt full) (17.02 KB, text/plain)
2014-01-30 21:22 UTC, John Mulligan
no flags Details
Core file - compressed with xz (520.09 KB, application/x-xz)
2014-01-30 21:24 UTC, John Mulligan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Semenkovich 2013-05-08 17:53:54 UTC
Built from:

commit bf332392e15e4a2b8799101e3ddae194dca36d13
Author: Jeremy Allison <jra@samba.org>
Date:   Fri May 3 10:06:39 2013 -0700

    Fix warnings and one compile error caused by newer gcc 4.7.


Right at the crash time, log.smbd filled with a lot of errors like:

[2013/05/08 12:08:16.660462,  0] ../source3/smbd/smbXsrv_session.c:1336(smbXsrv_session_logoff)
  smbXsrv_session_logoff(0x49bc30e3): failed to delete global key '49BC30E3': NT_STATUS_NOT_FOUND
[2013/05/08 12:08:16.660652,  0] ../source3/smbd/smbXsrv_session.c:1070(smbXsrv_session_destructor)
  smbXsrv_session_destructor: smbXsrv_session_logoff() failed: NT_STATUS_NOT_FOUND
...
<snip>
...
[2013/05/08 12:08:16.832221,  0] ../source3/smbd/close.c:1064(close_directory)
  close_directory: Could not get share mode lock for becky/AppData/Roaming/Microsoft/Internet Explorer/Quick Launch/User Pinned
[2013/05/08 12:08:16.832478,  0] ../source3/smbd/smbXsrv_tcon.c:1021(smbXsrv_tcon_disconnect_all)
  smbXsrv_tcon_disconnect_all: count[2] errors[2] first[NT_STATUS_NOT_FOUND]
[2013/05/08 12:08:16.832624,  0] ../source3/smbd/smbXsrv_session.c:1392(smbXsrv_session_logoff)
  smbXsrv_session_logoff(0xdb946d0e): smb2srv_tcon_disconnect_all() failed: NT_STATUS_NOT_FOUND
[2013/05/08 12:08:16.832732,  0] ../source3/smbd/smbXsrv_session.c:1442(smbXsrv_session_logoff_all)
  smbXsrv_session_logoff_all: count[1] errors[1] first[NT_STATUS_NOT_FOUND]
[2013/05/08 12:08:16.832821,  0] ../source3/smbd/server_exit.c:132(exit_server_common)
  Server exit (NT_STATUS_CONNECTION_RESET)
[2013/05/08 12:08:16.832904,  0] ../source3/smbd/server_exit.c:135(exit_server_common)
  exit_server_common: smbXsrv_session_logoff_all() failed (NT_STATUS_NOT_FOUND) - triggering cleanup
[2013/05/08 12:08:16.833014,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xbab9bfd2): failed to delete global key 'BAB9BFD2': NT_STATUS_NOT_FOUND
[2013/05/08 12:08:16.833129,  0] ../lib/util/fault.c:72(fault_report)
  ===============================================================
[2013/05/08 12:08:16.833218,  0] ../lib/util/fault.c:73(fault_report)
  INTERNAL ERROR: Signal 11 in pid 341 (4.1.0pre1-GIT-bf33239)
  Please read the Trouble-Shooting section of the Samba HOWTO
[2013/05/08 12:08:16.833356,  0] ../lib/util/fault.c:75(fault_report)
  ===============================================================
[2013/05/08 12:08:16.833406,  0] ../source3/lib/util.c:810(smb_panic_s3)
  PANIC (pid 341): internal error
[2013/05/08 12:08:16.850787,  0] ../source3/lib/util.c:921(log_stack_trace)
  BACKTRACE: 44 stack frames:
   #0 /usr/local/samba/lib/libsmbconf.so.0(log_stack_trace+0x1f) [0x7f561daf5cda]
   #1 /usr/local/samba/lib/libsmbconf.so.0(smb_panic_s3+0x6c) [0x7f561daf5b2d]
   #2 /usr/local/samba/lib/libsamba-util.so.0(smb_panic+0x28) [0x7f561f579c39]
   #3 /usr/local/samba/lib/libsamba-util.so.0(+0x1c91b) [0x7f561f57991b]
   #4 /usr/local/samba/lib/libsamba-util.so.0(+0x1c930) [0x7f561f579930]
   #5 /lib/x86_64-linux-gnu/libpthread.so.0(+0xfbd0) [0x7f561f7a8bd0]
   #6 /usr/local/samba/lib/private/libsmbd_base.so(file_free+0x143) [0x7f561f06f770]
   #7 /usr/local/samba/lib/private/libsmbd_base.so(smbXsrv_open_close+0x6a9) [0x7f561f1624b3]
   #8 /usr/local/samba/lib/private/libsmbd_base.so(+0x1b2274) [0x7f561f161274]
   #9 /usr/local/samba/lib/private/libtalloc.so.2(+0x30f0) [0x7f561eb970f0]
   #10 /usr/local/samba/lib/private/libtalloc.so.2(+0x4338) [0x7f561eb98338]
   #11 /usr/local/samba/lib/private/libtalloc.so.2(+0x3293) [0x7f561eb97293]
   #12 /usr/local/samba/lib/private/libtalloc.so.2(+0x4338) [0x7f561eb98338]
   #13 /usr/local/samba/lib/private/libtalloc.so.2(+0x3293) [0x7f561eb97293]
   #14 /usr/local/samba/lib/private/libtalloc.so.2(_talloc_free+0x102) [0x7f561eb98731]
   #15 /usr/local/samba/lib/private/libsmbd_base.so(+0x1b4c41) [0x7f561f163c41]
   #16 /usr/local/samba/lib/private/libsmbd_base.so(+0x1b4d6d) [0x7f561f163d6d]
   #17 /usr/local/samba/lib/private/libsmbd_shim.so(exit_server_cleanly+0x28) [0x7f561d433d69]
   #18 /usr/local/samba/lib/private/libsmbd_base.so(+0x183fc3) [0x7f561f132fc3]
   #19 /usr/local/samba/lib/private/libsmbd_base.so(+0x188c59) [0x7f561f137c59]
   #20 /usr/local/samba/lib/private/libtevent.so.0(_tevent_req_notify_callback+0x6a) [0x7f561eda3a13]
   #21 /usr/local/samba/lib/private/libtevent.so.0(+0x5a45) [0x7f561eda3a45]
   #22 /usr/local/samba/lib/private/libtevent.so.0(_tevent_req_error+0x43) [0x7f561eda3ab1]
   #23 /usr/local/samba/lib/private/libsamba-sockets.so(+0xc66b) [0x7f561d8c466b]
   #24 /usr/local/samba/lib/private/libtevent.so.0(_tevent_req_notify_callback+0x6a) [0x7f561eda3a13]
   #25 /usr/local/samba/lib/private/libtevent.so.0(+0x5a45) [0x7f561eda3a45]
   #26 /usr/local/samba/lib/private/libtevent.so.0(_tevent_req_error+0x43) [0x7f561eda3ab1]
   #27 /usr/local/samba/lib/private/libsamba-sockets.so(+0xb721) [0x7f561d8c3721]
   #28 /usr/local/samba/lib/private/libtevent.so.0(_tevent_req_notify_callback+0x6a) [0x7f561eda3a13]
   #29 /usr/local/samba/lib/private/libtevent.so.0(+0x5a45) [0x7f561eda3a45]
   #30 /usr/local/samba/lib/private/libtevent.so.0(+0x5b63) [0x7f561eda3b63]
   #31 /usr/local/samba/lib/private/libtevent.so.0(tevent_common_loop_immediate+0x1f5) [0x7f561eda2f78]
   #32 /usr/local/samba/lib/libsmbconf.so.0(run_events_poll+0x56) [0x7f561db16de3]
   #33 /usr/local/samba/lib/libsmbconf.so.0(+0x454a7) [0x7f561db174a7]
   #34 /usr/local/samba/lib/private/libtevent.so.0(_tevent_loop_once+0xf4) [0x7f561eda20b2]
   #35 /usr/local/samba/lib/private/libsmbd_base.so(smbd_process+0x12ef) [0x7f561f117454]
   #36 /usr/local/samba/sbin/smbd() [0x409ec6]
   #37 /usr/local/samba/lib/libsmbconf.so.0(run_events_poll+0x55f) [0x7f561db172ec]
   #38 /usr/local/samba/lib/libsmbconf.so.0(+0x455b8) [0x7f561db175b8]
   #39 /usr/local/samba/lib/private/libtevent.so.0(_tevent_loop_once+0xf4) [0x7f561eda20b2]
   #40 /usr/local/samba/sbin/smbd() [0x40ab30]
   #41 /usr/local/samba/sbin/smbd(main+0x1709) [0x40c38a]
   #42 /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7f561c364ea5]
   #43 /usr/local/samba/sbin/smbd() [0x4055e9]
[2013/05/08 12:08:16.852308,  0] ../source3/lib/util.c:822(smb_panic_s3)
  smb_panic(): calling panic action [/bin/sleep 99999999]
[2013/05/08 12:08:17.515053,  0] ../source3/smbd/smbXsrv_session.c:1336(smbXsrv_session_logoff)
  smbXsrv_session_logoff(0xc62c6736): failed to delete global key 'C62C6736': NT_STATUS_NOT_FOUND
[2013/05/08 12:08:17.515270,  0] ../source3/smbd/smbXsrv_session.c:1070(smbXsrv_session_destructor)
  smbXsrv_session_destructor: smbXsrv_session_logoff() failed: NT_STATUS_NOT_FOUND
[2013/05/08 12:08:18.426947,  0] ../source3/smbd/smbXsrv_session.c:1336(smbXsrv_session_logoff)
  smbXsrv_session_logoff(0x36bc07aa): failed to delete global key '36BC07AA': NT_STATUS_NOT_FOUND
[2013/05/08 12:08:18.427158,  0] ../source3/smbd/smbXsrv_session.c:1070(smbXsrv_session_destructor)
  smbXsrv_session_destructor: smbXsrv_session_logoff() failed: NT_STATUS_NOT_FOUND
[2013/05/08 12:11:07.902705,  0] ../source3/lib/util.c:830(smb_panic_s3)
  smb_panic(): action returned status 0
[2013/05/08 12:11:07.902889,  0] ../source3/lib/dumpcore.c:317(dump_core)
  dumping core in /usr/local/samba/var/cores/smbd
[2013/05/08 12:20:33.642148,  0] ../lib/util/util.c:232(directory_create_or_exist_strict)
  invalid ownership on directory /usr/local/samba/private/smbd.tmp/msg
[2013/05/08 12:20:33.642319,  0] ../source3/rpc_server/dcesrv_auth_generic.c:40(auth_generic_server_authtype_start)
  ../source3/rpc_server/dcesrv_auth_generic.c:40: auth_generic_prepare failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 12:20:33.642461,  0] ../source3/rpc_server/srv_pipe.c:555(pipe_auth_generic_bind)
  ../source3/rpc_server/srv_pipe.c:555: auth_generic_server_authtype_start failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 12:20:35.613956,  0] ../lib/util/util.c:232(directory_create_or_exist_strict)
  invalid ownership on directory /usr/local/samba/private/smbd.tmp/msg
[2013/05/08 12:20:35.614095,  0] ../source3/rpc_server/dcesrv_auth_generic.c:40(auth_generic_server_authtype_start)
  ../source3/rpc_server/dcesrv_auth_generic.c:40: auth_generic_prepare failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 12:20:35.614203,  0] ../source3/rpc_server/srv_pipe.c:555(pipe_auth_generic_bind)
  ../source3/rpc_server/srv_pipe.c:555: auth_generic_server_authtype_start failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 12:21:16.790577,  0] ../source3/smbd/oplock.c:333(oplock_timeout_handler)
...
Comment 1 Nick Semenkovich 2013-05-08 17:55:34 UTC
Created attachment 8871 [details]
gdb; bt full
Comment 2 Nick Semenkovich 2013-05-08 18:25:31 UTC
In log.smbd, I now see a lot of:


[2013/05/08 13:23:49.525868,  0] ../lib/util/util.c:232(directory_create_or_exist_strict)
  invalid ownership on directory /usr/local/samba/private/smbd.tmp/msg
[2013/05/08 13:23:49.526016,  0] ../source3/rpc_server/dcesrv_auth_generic.c:40(auth_generic_server_authtype_start)
  ../source3/rpc_server/dcesrv_auth_generic.c:40: auth_generic_prepare failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 13:23:49.526142,  0] ../source3/rpc_server/srv_pipe.c:555(pipe_auth_generic_bind)
  ../source3/rpc_server/srv_pipe.c:555: auth_generic_server_authtype_start failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 13:23:50.086483,  0] ../lib/util/util.c:232(directory_create_or_exist_strict)
  invalid ownership on directory /usr/local/samba/private/smbd.tmp/msg
[2013/05/08 13:23:50.086599,  0] ../source3/rpc_server/dcesrv_auth_generic.c:40(auth_generic_server_authtype_start)
  ../source3/rpc_server/dcesrv_auth_generic.c:40: auth_generic_prepare failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 13:23:50.086699,  0] ../source3/rpc_server/srv_pipe.c:555(pipe_auth_generic_bind)
  ../source3/rpc_server/srv_pipe.c:555: auth_generic_server_authtype_start failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 13:23:56.254322,  0] ../lib/util/util.c:232(directory_create_or_exist_strict)
  invalid ownership on directory /usr/local/samba/private/smbd.tmp/msg
[2013/05/08 13:23:56.254444,  0] ../source3/rpc_server/dcesrv_auth_generic.c:40(auth_generic_server_authtype_start)
  ../source3/rpc_server/dcesrv_auth_generic.c:40: auth_generic_prepare failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 13:23:56.254543,  0] ../source3/rpc_server/srv_pipe.c:555(pipe_auth_generic_bind)
  ../source3/rpc_server/srv_pipe.c:555: auth_generic_server_authtype_start failed: NT_STATUS_INVALID_SERVER_STATE
[2013/05/08 13:24:03.273568,  0] ../source3/smbd/oplock.c:333(oplock_timeout_handler)


Any thoughts/advice?
Comment 3 Jeremy Allison 2013-05-08 18:33:50 UTC
Looks like a problem when tearing down a client connection after the client has dropped the connection.

Jeremy.
Comment 4 Nick Semenkovich 2013-05-08 19:57:09 UTC
(In reply to comment #3)
> Looks like a problem when tearing down a client connection after the client has
> dropped the connection.
> 
> Jeremy.

Just noticed that the user (becky) who's listed in the error:
[2013/05/08 12:08:16.832221,  0] ../source3/smbd/close.c:1064(close_directory)
  close_directory: Could not get share mode lock for
becky/AppData/Roaming/Microsoft/Internet Explorer/Quick Launch/User Pinned

... is using machine AIO6, which is the only machine that has this intermittent error in log.samba (I opened bug #9848 for this message):

[2013/05/08 13:15:49,  0] ../source4/rpc_server/drsuapi/writespn.c:237(dcesrv_drsuapi_DsWriteAccountSpn)
  Failed to modify SPNs on CN=AIO6,CN=Computers,DC=corp,DC=aldinetravel,DC=com: error in module acl: insufficient access rights (50)

Not sure if these are related.


(I'm generally confused/slightly concerned by the number of "Oplock break failed for file ... replying anyway" messages. Users are only logged into single machines, rarely roam, and don't access files concurrently. All are on hardwired desktops, and the switch RMON stats shows no errors.)
Comment 5 Nick Semenkovich 2013-07-31 20:23:43 UTC
Haven't seen this in a while. Likely fixed/invalid.
Comment 6 John Mulligan 2014-01-30 21:15:38 UTC
I began hitting this recently on Samba 4.1.3 and 4.1.4 and found an easy way to reproduce it on my system(s).

Client: Windows 8 (Enterprise, x64)
Server: Samba 4.1.3-2.fc20 on Fedora 20  -and- Custom compiled 4.1.4 rpm on same server
Both are virtualized. Self compiled Samba source is from the official 4.1.4 tarball.

I mapped a share to the windows client as drive J:
Start the following job: xcopy /S /I /Y /C c:\Windows j:\xc3
On the server I run a short python script that restarts smbd after sleeping a random interval between 5 and 30 seconds. 


Samba cores in the following manner after every 5th or 6th restart, frequency varies though.  Additional attachments to follow.


[2014/01/30 16:07:47,  0] ../source3/smbd/server.c:1198(main)
  smbd version 4.1.4 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2013
[2014/01/30 16:07:47.872677,  0] ../source3/smbd/server.c:1278(main)
  standard input is not a socket, assuming -D option
[2014/01/30 16:07:47.878732,  0] ../source3/smbd/smbXsrv_session.c:1336(smbXsrv_session_logoff)
  smbXsrv_session_logoff(0xb3ce9d77): failed to delete global key 'B3CE9D77': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.878824,  0] ../source3/smbd/close.c:1062(close_directory)
  close_directory: Could not get share mode lock for xc3/servicing/Packages
[2014/01/30 16:07:47.878891,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2812829~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.879015,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2812829_RTM~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.879101,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2812829_RTM~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.879189,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2811660~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.879259,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2811660~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.879341,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2811660_RTM~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.879427,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2811660_RTM~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.879516,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2808679~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.879815,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2808679~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.879912,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2808679_RTM~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.879989,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2808679_RTM~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.880091,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2807986~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.880183,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2807986~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.880288,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2807986_RTM~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.880386,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2807986_RTM~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.880468,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805966~31bf3856ad364e35~amd64~~6.2.3.1.mum
[2014/01/30 16:07:47.880578,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805966~31bf3856ad364e35~amd64~~6.2.3.1.cat
[2014/01/30 16:07:47.880688,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805966_RTM~31bf3856ad364e35~amd64~~6.2.3.1.mum
[2014/01/30 16:07:47.880813,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805966_RTM~31bf3856ad364e35~amd64~~6.2.3.1.cat
[2014/01/30 16:07:47.880907,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805227~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.881012,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805227~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.881111,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805227_RTM~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.881213,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805227_RTM~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.881329,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805222~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.881442,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805222~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.881551,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805222_RTM~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.881647,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2805222_RTM~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.881740,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2803821~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.881809,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2803821~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.881887,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2803821_RTM~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.881954,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2803821_RTM~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.882028,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2803676~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.882096,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2803676~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.882161,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2803676_RTM~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.882227,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2803676_RTM~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.882302,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2802618~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.882379,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2802618~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.882496,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2802618_RTM~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.882638,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2802618_RTM~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.882737,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2800088~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.882830,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2800088~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.882908,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2800088_RTM~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.883086,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2800088_RTM~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.883300,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xacdde1b9): failed to delete global key 'ACDDE1B9': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.883411,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.883581,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2800033~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.883855,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xf520b0bc): failed to delete global key 'F520B0BC': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.884008,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.884099,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2800033~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.884292,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xc01225d2): failed to delete global key 'C01225D2': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.884418,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.884563,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2800033_RTM~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.884701,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xd7d0da37): failed to delete global key 'D7D0DA37': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.884818,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.884974,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2800033_RTM~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.885176,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x541867ea): failed to delete global key '541867EA': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.885294,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.885494,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2798162~31bf3856ad364e35~amd64~~6.2.1.5.mum
[2014/01/30 16:07:47.885697,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xe2458088): failed to delete global key 'E2458088': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.885819,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886020,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2798162~31bf3856ad364e35~amd64~~6.2.1.5.cat
[2014/01/30 16:07:47.886169,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x5498c03d): failed to delete global key '5498C03D': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886221,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886259,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2798162_RTM~31bf3856ad364e35~amd64~~6.2.1.5.mum
[2014/01/30 16:07:47.886336,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xdbff3dd5): failed to delete global key 'DBFF3DD5': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886384,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886428,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2798162_RTM~31bf3856ad364e35~amd64~~6.2.1.5.cat
[2014/01/30 16:07:47.886501,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xca50d923): failed to delete global key 'CA50D923': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886615,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886680,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2795944~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.886772,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x2a0a4d87): failed to delete global key '2A0A4D87': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886841,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.886907,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2795944~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.886973,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x7f71bf27): failed to delete global key '7F71BF27': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887036,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887088,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2795944_RTM~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.887184,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x61f9766b): failed to delete global key '61F9766B': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887236,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887304,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2795944_RTM~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.887389,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x44ccfd62): failed to delete global key '44CCFD62': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887458,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887496,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2789649~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.887615,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x74e49b28): failed to delete global key '74E49B28': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887665,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887722,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2789649~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.887795,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xc0ccef96): failed to delete global key 'C0CCEF96': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887864,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.887933,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2789649_RTM~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.888029,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x09243183): failed to delete global key '09243183': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888079,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888144,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2789649_RTM~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.888225,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xd0d07a80): failed to delete global key 'D0D07A80': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888276,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888342,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2785220~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.888439,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x71a7c62c): failed to delete global key '71A7C62C': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888487,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888587,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2785220~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.888683,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xfe086e82): failed to delete global key 'FE086E82': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888741,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888778,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2785220_RTM~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.888839,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xaf5e3968): failed to delete global key 'AF5E3968': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888877,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.888910,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2785220_RTM~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.889017,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x0fd32114): failed to delete global key '0FD32114': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.889092,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.889141,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2785094~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.889268,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x5b670721): failed to delete global key '5B670721': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.889341,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.889405,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2785094~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.889488,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x57ad39d6): failed to delete global key '57AD39D6': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.889536,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.889642,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2785094_RTM~31bf3856ad364e35~amd64~~6.2.1.2.mum
[2014/01/30 16:07:47.889729,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xd45d59b3): failed to delete global key 'D45D59B3': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.889824,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.889882,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2785094_RTM~31bf3856ad364e35~amd64~~6.2.1.2.cat
[2014/01/30 16:07:47.889983,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x55df482d): failed to delete global key '55DF482D': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890033,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890096,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2784160~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.890161,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x4d30ec9e): failed to delete global key '4D30EC9E': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890209,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890299,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2784160~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.890403,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x4adbd819): failed to delete global key '4ADBD819': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890468,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890529,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2784160_RTM~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.890621,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xe55a3361): failed to delete global key 'E55A3361': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890696,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890740,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2784160_RTM~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.890830,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x2e4ab8a0): failed to delete global key '2E4AB8A0': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890911,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.890984,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2781197~31bf3856ad364e35~amd64~~6.2.2.0.mum
[2014/01/30 16:07:47.891084,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x85ec1882): failed to delete global key '85EC1882': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891133,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891184,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2781197~31bf3856ad364e35~amd64~~6.2.2.0.cat
[2014/01/30 16:07:47.891300,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xf41cc716): failed to delete global key 'F41CC716': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891365,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891413,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2781197_RTM~31bf3856ad364e35~amd64~~6.2.2.0.mum
[2014/01/30 16:07:47.891509,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xd37893f5): failed to delete global key 'D37893F5': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891573,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891665,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2781197_RTM~31bf3856ad364e35~amd64~~6.2.2.0.cat
[2014/01/30 16:07:47.891751,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x2dc41df2): failed to delete global key '2DC41DF2': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891797,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891854,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2780342~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.891919,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x863a24cb): failed to delete global key '863A24CB': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.891963,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892019,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2780342~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.892115,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x74f932f4): failed to delete global key '74F932F4': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892163,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892225,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2780342_RTM~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.892300,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x5c680157): failed to delete global key '5C680157': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892345,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892396,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2780342_RTM~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.892484,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x75be29e8): failed to delete global key '75BE29E8': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892529,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892604,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2779768~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.892700,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xc89b3b3d): failed to delete global key 'C89B3B3D': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892750,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.892816,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2779768~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.892926,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xa0b67518): failed to delete global key 'A0B67518': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893004,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893064,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2779768_RTM~31bf3856ad364e35~amd64~~6.2.1.1.mum
[2014/01/30 16:07:47.893174,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xf7f53015): failed to delete global key 'F7F53015': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893223,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893275,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2779768_RTM~31bf3856ad364e35~amd64~~6.2.1.1.cat
[2014/01/30 16:07:47.893368,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xacd95ea5): failed to delete global key 'ACD95EA5': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893418,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893487,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2778171~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.893590,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x18f7d03b): failed to delete global key '18F7D03B': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893640,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893713,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2778171~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.893780,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xecb60c40): failed to delete global key 'ECB60C40': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893823,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.893894,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2778171_RTM~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.893994,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xf39b320c): failed to delete global key 'F39B320C': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.894069,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.894147,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2778171_RTM~31bf3856ad364e35~amd64~~6.2.1.0.cat
[2014/01/30 16:07:47.894242,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xc7d195a7): failed to delete global key 'C7D195A7': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.894289,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.894353,  0] ../source3/smbd/close.c:268(close_remove_share_mode)
  close_remove_share_mode: Could not get share mode lock for file xc3/servicing/Packages/Package_for_KB2777294~31bf3856ad364e35~amd64~~6.2.1.0.mum
[2014/01/30 16:07:47.894450,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0x4eefda3f): failed to delete global key '4EEFDA3F': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.894497,  0] ../source3/smbd/smbXsrv_open.c:759(smbXsrv_open_destructor)
  smbXsrv_open_destructor: smbXsrv_open_close() failed - NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.894606,  0] ../source3/smbd/close.c:1062(close_directory)
  close_directory: Could not get share mode lock for .
[2014/01/30 16:07:47.894654,  0] ../source3/smbd/close.c:1062(close_directory)
  close_directory: Could not get share mode lock for .
[2014/01/30 16:07:47.894721,  0] ../source3/smbd/smbXsrv_tcon.c:915(smbXsrv_tcon_disconnect)
  smbXsrv_tcon_disconnect(0xc2b29c6e, 'core3'): failed to delete global key 'C2B29C6E': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.894798,  0] ../source3/smbd/close.c:1062(close_directory)
  close_directory: Could not get share mode lock for xc3/servicing/Packages
[2014/01/30 16:07:47.894838,  0] ../source3/smbd/close.c:1062(close_directory)
  close_directory: Could not get share mode lock for .
[2014/01/30 16:07:47.894886,  0] ../source3/smbd/close.c:1062(close_directory)
  close_directory: Could not get share mode lock for .
[2014/01/30 16:07:47.894971,  0] ../source3/smbd/smbXsrv_tcon.c:1021(smbXsrv_tcon_disconnect_all)
  smbXsrv_tcon_disconnect_all: count[1] errors[1] first[NT_STATUS_NOT_FOUND]
[2014/01/30 16:07:47.895013,  0] ../source3/smbd/smbXsrv_session.c:1392(smbXsrv_session_logoff)
  smbXsrv_session_logoff(0xb3ce9d77): smb2srv_tcon_disconnect_all() failed: NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.895060,  0] ../source3/smbd/smbXsrv_session.c:1442(smbXsrv_session_logoff_all)
  smbXsrv_session_logoff_all: count[1] errors[1] first[NT_STATUS_NOT_FOUND]
[2014/01/30 16:07:47.895123,  0] ../source3/smbd/server_exit.c:132(exit_server_common)
  Server exit (termination signal)
[2014/01/30 16:07:47.895160,  0] ../source3/smbd/server_exit.c:135(exit_server_common)
  exit_server_common: smbXsrv_session_logoff_all() failed (NT_STATUS_NOT_FOUND) - triggering cleanup
[2014/01/30 16:07:47.895217,  0] ../source3/smbd/smbXsrv_open.c:1035(smbXsrv_open_close)
  smbXsrv_open_close(0xd013c947): failed to delete global key 'D013C947': NT_STATUS_NOT_FOUND
[2014/01/30 16:07:47.895278,  0] ../lib/util/fault.c:72(fault_report)
  ===============================================================
[2014/01/30 16:07:47.895345,  0] ../lib/util/fault.c:73(fault_report)
  INTERNAL ERROR: Signal 11 in pid 1787 (4.1.4)
  Please read the Trouble-Shooting section of the Samba HOWTO
[2014/01/30 16:07:47.895412,  0] ../lib/util/fault.c:75(fault_report)
  ===============================================================
[2014/01/30 16:07:47.895452,  0] ../source3/lib/util.c:785(smb_panic_s3)
  PANIC (pid 1787): internal error
[2014/01/30 16:07:47.896156,  0] ../source3/lib/util.c:896(log_stack_trace)
  BACKTRACE: 27 stack frames:
   #0 /lib64/libsmbconf.so.0(log_stack_trace+0x1a) [0x7ff2f17e2dda]
   #1 /lib64/libsmbconf.so.0(smb_panic_s3+0x20) [0x7ff2f17e2eb0]
   #2 /lib64/libsamba-util.so.0(smb_panic+0x2f) [0x7ff2f2d4424f]
   #3 /lib64/libsamba-util.so.0(+0x18466) [0x7ff2f2d44466]
   #4 /lib64/libpthread.so.0(+0xf750) [0x7ff2f2f6f750]
   #5 /usr/lib64/samba/libsmbd_base.so(file_free+0xb1) [0x7ff2f28b71e1]
   #6 /usr/lib64/samba/libsmbd_base.so(smbXsrv_open_close+0xe9) [0x7ff2f295c1e9]
   #7 /usr/lib64/samba/libsmbd_base.so(+0x15d5d0) [0x7ff2f295c5d0]
   #8 /lib64/libtalloc.so.2(+0x601d) [0x7ff2f040401d]
   #9 /lib64/libtalloc.so.2(+0x5d5b) [0x7ff2f0403d5b]
   #10 /lib64/libtalloc.so.2(_talloc_free+0x113) [0x7ff2f0400413]
   #11 /usr/lib64/samba/libsmbd_base.so(+0x15e1f5) [0x7ff2f295d1f5]
   #12 /usr/lib64/samba/libsmbd_base.so(+0x15e54e) [0x7ff2f295d54e]
   #13 /usr/lib64/samba/libsmbd_shim.so(exit_server_cleanly+0x12) [0x7ff2f116fab2]
   #14 /usr/lib64/samba/libsmbd_base.so(+0x128c20) [0x7ff2f2927c20]
   #15 /lib64/libtevent.so.0(tevent_common_check_signal+0x247) [0x7ff2f01f7497]
   #16 /lib64/libsmbconf.so.0(run_events_poll+0x24) [0x7ff2f1800754]
   #17 /lib64/libsmbconf.so.0(+0x42a54) [0x7ff2f1800a54]
   #18 /lib64/libtevent.so.0(_tevent_loop_once+0x8d) [0x7ff2f01f3f2d]
   #19 /usr/lib64/samba/libsmbd_base.so(smbd_process+0xaf5) [0x7ff2f292de25]
   #20 /usr/sbin/smbd(+0xa234) [0x7ff2f33a9234]
   #21 /lib64/libsmbconf.so.0(run_events_poll+0x16c) [0x7ff2f180089c]
   #22 /lib64/libsmbconf.so.0(+0x42af0) [0x7ff2f1800af0]
   #23 /lib64/libtevent.so.0(_tevent_loop_once+0x8d) [0x7ff2f01f3f2d]
   #24 /usr/sbin/smbd(main+0x12ed) [0x7ff2f33a5c2d]
   #25 /lib64/libc.so.6(__libc_start_main+0xf5) [0x7ff2efe52d65]
   #26 /usr/sbin/smbd(+0x71a1) [0x7ff2f33a61a1]
[2014/01/30 16:07:47.896594,  0] ../source3/lib/dumpcore.c:317(dump_core)
  dumping core in /var/log/samba/cores/smbd
Comment 7 John Mulligan 2014-01-30 21:22:00 UTC
Created attachment 9624 [details]
GDB backtraces (bt followed by bt full)
Comment 8 John Mulligan 2014-01-30 21:24:32 UTC
Created attachment 9625 [details]
Core file - compressed with xz
Comment 9 Nick Semenkovich 2014-10-02 14:38:30 UTC
FWIW, I haven't seen this in a long time. Closing for now.
Comment 10 Michael Zeis 2015-02-25 17:14:06 UTC
I am hitting this same crash with 4.1.16, so the problem appears to still be there. Similar to what was mentioned in comment #6, the problem started showing up while restarting smbd multiple times with active connections doing file copies within the share.

In my case the clients are connecting from Macs, not Windows.  The authentication is being done using LDAP/Kerberos.   Here are the related smb.conf settings:

    security        = user
    password server = *
    passdb backend = tdbsam
    kerberos method = dedicated keytab
    dedicated keytab file = /etc/krb5.keytab


Here is the stack trace from the log:
  
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:   smbXsrv_tcon_disconnect(0xf3195101, 'testshare'): failed to delete global key 'F3195101': NT_STATUS_NOT_FOUND
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]: [2015/02/25 10:24:59.246440,  0] ../source3/smbd/smbXsrv_tcon.c:1021(smbXsrv_tcon_disconnect_all)
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:   Server exit (termination signal)
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]: [2015/02/25 10:24:59.246886,  0] ../source3/smbd/server_exit.c:144(exit_server_common)
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:   exit_server_common: smbXsrv_session_logoff_all() failed (NT_STATUS_NOT_FOUND) - triggering cleanup
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]: [2015/02/25 10:24:59.247445,  0] ../source3/lib/util.c:785(smb_panic_s3)
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:   PANIC (pid 23485): smbXsrv_session_logoff_all failed
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]: [2015/02/25 10:24:59.274955,  0] ../source3/lib/util.c:896(log_stack_trace)
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:   BACKTRACE: 19 stack frames:
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #0 /usr/lib64/samba/libsmbconf.so.0(log_stack_trace+0x1c) [0x7f4019f319b7]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #1 /usr/lib64/samba/libsmbconf.so.0(smb_panic_s3+0x55) [0x7f4019f31ab9]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #2 /usr/lib64/samba/libsamba-util.so.0(smb_panic+0x2d) [0x7f401ba79bae]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #3 /usr/lib64/samba/libsmbd_base.so(+0x147670) [0x7f401b6b0670]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #4 /usr/lib64/samba/libsmbd_base.so(smbd_exit_server+0) [0x7f401b6b0703]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #5 /usr/lib64/samba/libsmbd_shim.so(exit_server_cleanly+0x12) [0x7f4019887907]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #6 /usr/lib64/samba/libsmbd_base.so(+0x11223e) [0x7f401b67b23e]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #7 /usr/lib64/samba/libtevent.so.0(tevent_common_check_signal+0x1a2) [0x7f401b363419]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #8 /usr/lib64/samba/libsmbconf.so.0(run_events_poll+0x25) [0x7f4019f4e578]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #9 /usr/lib64/samba/libsmbconf.so.0(+0x42b93) [0x7f4019f4eb93]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #10 /usr/lib64/samba/libtevent.so.0(_tevent_loop_once+0x92) [0x7f401b360407]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #11 /usr/lib64/samba/libsmbd_base.so(smbd_process+0xf76) [0x7f401b67f348]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #12 smbd(+0x8860) [0x7f401c0dc860]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #13 /usr/lib64/samba/libsmbconf.so.0(run_events_poll+0x2c2) [0x7f4019f4e815]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #14 /usr/lib64/samba/libsmbconf.so.0(+0x42c5d) [0x7f4019f4ec5d]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #15 /usr/lib64/samba/libtevent.so.0(_tevent_loop_once+0x92) [0x7f401b360407]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #16 smbd(main+0x17c9) [0x7f401c0de2ee]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #17 /lib64/libc.so.6(__libc_start_main+0xfd) [0x7f40189ced1d]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:    #18 smbd(+0x58b9) [0x7f401c0d98b9]
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]: [2015/02/25 10:24:59.276447,  0] ../source3/lib/dumpcore.c:317(dump_core)
Feb 25 10:24:59 mz-rh6sp5-6 smbd[23485]:   dumping core in /var/log/samba/cores/smbd